Bug 924409 - The master volume slider is not updated when changing volume
Summary: The master volume slider is not updated when changing volume
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-21 17:51 UTC by Kamil Páral
Modified: 2015-01-13 13:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-09 18:26:20 UTC
Type: Bug


Attachments (Terms of Use)
bug demonstration video (1.54 MB, video/webm)
2013-03-21 17:51 UTC, Kamil Páral
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 689493 None None None Never

Description Kamil Páral 2013-03-21 17:51:33 UTC
Created attachment 714009 [details]
bug demonstration video

Description of problem:
If I open the sound control dialog and use keyboard multimedia keys to adjust the volume, the master volume slider is not updated, even though the system volume is changed.

If I switch to Applications tab, the slider for an application is adjusted and it reflects the volume correctly.

See video.

At the end of the video, I demonstrate that the sound level is reset to 100% every time I refresh a YouTube video, but I'll report that separately.

Version-Release number of selected component (if applicable):
control-center-3.7.92-1.fc19.x86_64
alsa-plugins-pulseaudio-1.0.26-3.fc19.x86_64
pulseaudio-3.0-6.fc19.x86_64
pulseaudio-gdm-hooks-3.0-6.fc19.x86_64
pulseaudio-libs-3.0-6.fc19.x86_64
pulseaudio-libs-glib2-3.0-6.fc19.x86_64
pulseaudio-module-bluetooth-3.0-6.fc19.x86_64
pulseaudio-module-x11-3.0-6.fc19.x86_64
pulseaudio-utils-3.0-6.fc19.x86_64


How reproducible:
always

Steps to Reproduce:
1. open sound dialog
2. adjust the volume using keyboard keys
3. see that the master volume slider is not moving

Comment 1 Kamil Páral 2013-03-21 17:52:35 UTC
Note: I was doing https://fedoraproject.org/wiki/Test_Day:2013-03-21_Gnome_3.8 and I used the provided x86_64 Live image.

Comment 2 Adam Williamson 2013-06-12 01:34:24 UTC
Upstream bug was duped down a chain, updating reference to the top of the chain. Still broken with control-center-3.8.3-1.fc19.x86_64 .

Comment 3 Fedora End Of Life 2015-01-09 17:48:22 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Adam Williamson 2015-01-09 18:26:20 UTC
Resolved upstream in https://bugzilla.gnome.org/show_bug.cgi?id=738869 , thus should be in F21 I think, though will still be broken in F20.

Comment 5 Kamil Páral 2015-01-13 13:12:16 UTC
Confirmed fixed in F21.


Note You need to log in before you can comment on or make changes to this bug.